Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jan 2022 22:31:45 +0200

> Date: Tue, 18 Jan 2022 22:15:39 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > LRM and RLM are stateless controls, so they shouldn't be flagged as
> > suspicious, AFAIU.
> 
> I think I get it now: it's because of textsec-suspicious-nonspacing-p,
> which forbids consecutive nonspacing characters, right?  But then I
> don't think it's correct to consider Cf characters for that purpose:
> UTS#39 explicitly talks about nonspacing _marks_, i.e. Mn and Me
> characters.  Where did you see Cf and Cc as well?

Including Cf characters in this suspicious category is also
problematic because the ZERO WIDTH characters (like ZWJ and ZWNJ) are
Cf, and it is not reasonable to limit the use of those, as some
scripts (like Arabic, for example), uses them quite a lot.